Searched refs:tmpfile (Results 1 - 25 of 60) sorted by relevance

123

/osnet-11/usr/src/lib/libast/common/stdio/
H A Dtmpfile.c27 tmpfile(void) function
/osnet-11/usr/src/grub/grub2/grub-core/
H A Dgenmod.sh.in25 tmpfile=${outfile}.tmp
36 rm -f $tmpfile $outfile
39 @OBJCOPY@ -R .modname -R .moddeps $infile $tmpfile
49 @OBJCOPY@ --add-section .modname=$t1 --add-section .moddeps=$t2 $tmpfile
51 @OBJCOPY@ --add-section .modname=$t1 $tmpfile
57 ./${TARGET_OBJ2ELF} $tmpfile || exit 1
63 -R .note -R .comment $tmpfile || exit 1
67 cp $tmpfile $tmpfile.bin
71 -wd1106 -ew2030 -ew2050 -nu -nd $tmpfile
[all...]
/osnet-11/usr/src/tools/onbld/Checks/
H A DCStyle.py55 ret, tmpfile = processcheck('cstyle', options, fh, output)
57 if tmpfile:
58 for line in tmpfile:
62 tmpfile.close()
H A DJStyle.py54 ret, tmpfile = processcheck('jstyle', options, fh, output)
56 if tmpfile:
57 for line in tmpfile:
61 tmpfile.close()
H A DProcessCheck.py49 tmpfile = tempfile.TemporaryFile(prefix=command)
56 stdin=subprocess.PIPE, stdout=tmpfile,
68 tmpfile.seek(0)
70 return (ret < 0 and 1 or ret, tmpfile)
/osnet-11/usr/src/cmd/perl/5.8.4/distrib/lib/
H A DShell.t23 my $tmpfile = 'sht0001';
24 while ( -f $tmpfile ) {
25 $tmpfile++;
27 END { -f $tmpfile && (open STDERR, '>&SAVERR' and unlink $tmpfile) }
31 open(STDERR, ">$tmpfile");
36 ok(($^O eq 'os2' xor !(-s $tmpfile)), '$Shell::capture_stderr');
H A Dstrict.t14 my $tmpfile = "tmp0000";
16 1 while -e ++$tmpfile;
17 END { if ($tmpfile) { 1 while unlink $tmpfile; } }
68 open TEST, ">$tmpfile" or die "Could not open: $!";
72 `.\\perl -I../lib $switch $tmpfile 2>&1` :
74 `perl -I../lib $switch $tmpfile 2>&1` :
76 `$^X -I::lib -MMac::err=unix $switch $tmpfile` :
77 `./perl $switch $tmpfile 2>&1`;
H A Dsubs.t18 my $tmpfile = "tmp0000";
20 1 while -e ++$tmpfile;
21 END { if ($tmpfile) { 1 while unlink $tmpfile} }
47 open TEST, ">$tmpfile";
51 `./perl $switch $tmpfile 2>&1` :
53 `.\\perl -I../lib $switch $tmpfile 2>&1` :
55 `perl -I../lib $switch $tmpfile 2>&1` :
57 `$^X -I::lib -MMac::err=unix $switch $tmpfile` :
58 `./perl $switch $tmpfile
[all...]
H A Dwarnings.t19 my $tmpfile = "tmp0000";
21 1 while -e ++$tmpfile;
22 END { if ($tmpfile) { 1 while unlink $tmpfile} }
107 open TEST, ">$tmpfile" or die "Cannot open >$tmpfile: $!";
116 close TEST or die "Cannot close $tmpfile: $!";
118 `./perl "-I../lib" $switch $tmpfile` :
120 `.\\perl -I../lib $switch $tmpfile` :
122 `perl -I../lib $switch $tmpfile`
[all...]
H A Dcharnames.t274 my $tmpfile = "tmp0000";
277 1 while -e ++$tmpfile;
278 END { if ($tmpfile) { 1 while unlink $tmpfile; } }
289 open my $tmp, "> $tmpfile" or die "Could not open $tmpfile: $!";
291 close $tmp or die "Could not close $tmpfile: $!";
299 progfile => $tmpfile,
326 1 while unlink $tmpfile;
/osnet-11/usr/src/cmd/perl/5.8.4/distrib/t/op/
H A Danonsub.t21 $tmpfile = "asubtmp000";
22 1 while -f ++$tmpfile;
23 END { if ($tmpfile) { 1 while unlink $tmpfile; } }
31 open TEST, ">$tmpfile";
35 `MCR $^X "-I[-.lib]" $switch $tmpfile 2>&1` :
37 `.\\perl -I../lib $switch $tmpfile 2>&1` :
39 `$^X -I::lib $switch $tmpfile` :
41 `perl -I../lib $switch $tmpfile 2>&1` :
42 `./perl $switch $tmpfile
[all...]
H A Dstat.t41 my $tmpfile = 'Op_stat.tmp';
42 my $tmpfile_link = $tmpfile.'2';
45 1 while unlink $tmpfile;
46 open(FOO, ">$tmpfile") || DIE("Can't open temp test file: $!");
49 open(FOO, ">$tmpfile") || DIE("Can't open temp test file: $!");
79 my $lnk_result = eval { link $tmpfile, $tmpfile_link };
84 ok( chmod(0644, $tmpfile), 'chmoded tmp testfile' );
86 my($nlink, $mtime, $ctime) = (stat($tmpfile))[$NLINK, $MTIME, $CTIME];
127 # truncate and touch $tmpfile.
128 open(F, ">$tmpfile") || DI
[all...]
H A Drunlevel.t23 $tmpfile = "runltmp000";
24 1 while -f ++$tmpfile;
25 END { if ($tmpfile) { 1 while unlink $tmpfile; } }
33 open TEST, ">$tmpfile";
37 `MCR $^X "-I[-.lib]" $switch $tmpfile 2>&1` :
39 `.\\perl -I../lib $switch $tmpfile 2>&1` :
41 `perl -I../lib $switch $tmpfile 2>&1` :
43 `$^X -I::lib -MMac::err=unix $switch $tmpfile` :
44 `./perl $switch $tmpfile
[all...]
H A Dfork.t32 $tmpfile = "forktmp000";
33 1 while -f ++$tmpfile;
34 END { close TEST; unlink $tmpfile if $tmpfile; }
47 open TEST, ">$tmpfile" or die "Cannot open $tmpfile: $!";
49 close TEST or die "Cannot close $tmpfile: $!";
52 $results = `.\\perl -I../lib $switch $tmpfile 2>&1`;
55 $results = `perl -I../lib $switch $tmpfile 2>&1`;
58 $results = `./perl $switch $tmpfile
[all...]
/osnet-11/usr/src/cmd/perl/5.8.4/distrib/lib/Pod/t/
H A Dpod2html-lib.pl45 open my $tmpfile, ">", $expectfile or die $!;
46 print $tmpfile $expect;
47 close $tmpfile;
/osnet-11/usr/src/cmd/perl/5.8.4/distrib/lib/File/Temp/t/
H A Dmktemp.t103 my $tmpfile = mktemp($template);
105 print "# MKTEMP: Tempfile is $template -> $tmpfile\n";
110 ok( ($tmpfile !~ /XXXXX$/) );
H A Dposix.t43 $fh = tmpfile();
47 print "# TMPFILE: tmpfile got FH $fh\n";
/osnet-11/usr/src/grub/grub2/tests/util/
H A Dgrub-shell-tester.in86 tmpfile=`mktemp "${TMPDIR:-/tmp}/tmp.XXXXXXXXXX"` || exit 1
88 echo $REPLY >> ${tmpfile}
90 source=${tmpfile}
H A Dgrub-shell.in111 tmpfile=`mktemp "${TMPDIR:-/tmp}/tmp.XXXXXXXXXX"` || exit 1
113 echo "$REPLY" >> ${tmpfile}
115 source=${tmpfile}
190 rm -f "${tmpfile}" "${cfgfile}"
/osnet-11/usr/src/cmd/perl/5.8.4/distrib/lib/CGI/examples/
H A Dfile_upload.cgi37 my $tmpfile=tmpFileName($file);
41 h3($tmpfile),
/osnet-11/usr/src/lib/libxcurses/src/libc/mks/
H A Dm_vsscan.c57 * opened by tmpfile() will be automatically closed and removed
60 if (fp == NULL && (fp = tmpfile()) == NULL)
/osnet-11/usr/src/lib/pybootmgmt/common/bootmgmt/backend/loader/
H A Dmenulst.py430 tmpfile = tempfile.NamedTemporaryFile(dir=basepath, delete=False)
431 self._write_menu_lst(tmpfile)
432 tmpfile.close()
438 if tmpfile:
439 os.remove(tmpfile.name)
442 (tmpfile.name, oserr.strerror))
448 shutil.move(tmpfile.name, intermediate_name)
451 os.remove(tmpfile.name)
454 (tmpfile.name, oserr.strerror))
456 (tmpfile
[all...]
/osnet-11/usr/src/lib/brand/solaris/zone/
H A Dp2v.ksh92 tmpfile=$(mktemp -t)
93 if [[ -z "$tmpfile" ]]; then
117 }' $ZONEROOT/etc/vfstab >>$tmpfile
124 safe_copy $tmpfile $ZONEROOT/etc/vfstab
126 rm -f $tmpfile
/osnet-11/usr/src/lib/libc/port/stdio/
H A Dtmpfile.c30 * tmpfile - return a pointer to an update file that can be
121 tmpfile(void) function
/osnet-11/usr/src/lib/brand/solaris10/zone/
H A Dp2v.ksh181 tmpfile=$(mktemp -t)
182 if [[ $? == 1 || -z "$tmpfile" ]]; then
202 }' $zonedfs/dfstab >>$tmpfile
208 safe_copy $tmpfile $zonedfs/dfstab
214 /usr/bin/rm -f $tmpfile
228 tmpfile=$(mktemp -t)
229 if [[ $? == 1 || -z "$tmpfile" ]]; then
253 }' $ZONEROOT/etc/vfstab >>$tmpfile
260 safe_copy $tmpfile $ZONEROOT/etc/vfstab
266 /usr/bin/rm -f $tmpfile
[all...]

Completed in 73 milliseconds

123